package com.competition.modules.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.competition.common.result.PageResult;
import com.competition.modules.sys.dto.CreatePermissionDto;
import com.competition.modules.sys.entity.SysPermission;

import java.util.Map;

public interface ISysPermissionService extends IService<SysPermission> {

    SysPermission createPermission(CreatePermissionDto dto, Long tenantId);

    PageResult<SysPermission> findAll(Long page, Long pageSize, Long tenantId);

    SysPermission findDetail(Long id, Long tenantId);

    SysPermission updatePermission(Long id, CreatePermissionDto dto, Long tenantId);

    void removePermission(Long id, Long tenantId);
}
